import { SEVERITY, STATUS } from "../../common/Status";

export const getIocStatus = (ioc) => {
  let { active, activeDeployment } = ioc;
  const alertSeverity = ioc?.alertSeverity?.toLowerCase();

  if (
    active &&
    (alertSeverity === undefined || alertSeverity === SEVERITY.info)
  ) {
    // Active status / running
    return STATUS.active;
  } else if (
    active === false &&
    (alertSeverity === undefined || alertSeverity === SEVERITY.info)
  ) {
    // stopped/paused
    return STATUS.disabled;
  } else if (
    active !== undefined &&
    alertSeverity !== undefined &&
    alertSeverity === SEVERITY.alert
  ) {
    // error
    return STATUS.alert;
  } else if (
    active !== undefined &&
    alertSeverity !== undefined &&
    alertSeverity === SEVERITY.warning
  ) {
    // warning
    return STATUS.warning;
  } else if (
    (!active || activeDeployment === null) &&
    (alertSeverity === undefined || alertSeverity === SEVERITY.info)
  ) {
    // Inactive status
    return STATUS.inactive;
  } else if (
    (!active || activeDeployment === null) &&
    alertSeverity !== undefined &&
    alertSeverity !== SEVERITY.info
  ) {
    // inactive with warning/error
    return STATUS.inactiveAlert;
  } else {
    // unknown fallback state
    return null;
  }
};
